# Method: projects.findings.get

- [HTTP request](https://docs.cloud.google.com/threat-intelligence/reference/rest/v1beta/projects.findings/get#body.HTTP_TEMPLATE)
- [Path parameters](https://docs.cloud.google.com/threat-intelligence/reference/rest/v1beta/projects.findings/get#body.PATH_PARAMETERS)
- [Request body](https://docs.cloud.google.com/threat-intelligence/reference/rest/v1beta/projects.findings/get#body.request_body)
- [Response body](https://docs.cloud.google.com/threat-intelligence/reference/rest/v1beta/projects.findings/get#body.response_body)
- [Authorization scopes](https://docs.cloud.google.com/threat-intelligence/reference/rest/v1beta/projects.findings/get#body.aspect)
- [IAM Permissions](https://docs.cloud.google.com/threat-intelligence/reference/rest/v1beta/projects.findings/get#body.aspect_1)

Get a finding by name. The `name` field should have the format: `projects/{project}/findings/{finding}`

### HTTP request

`GET https://threatintelligence.googleapis.com/v1beta/{name=projects/*/findings/*}`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `name` | `string` Required. Name of the finding to get. |

### Request body

The request body must be empty.

### Response body

If successful, the response body contains an instance of `https://docs.cloud.google.com/threat-intelligence/reference/rest/v1beta/projects.findings#Finding`.

### Authorization scopes

Requires the following OAuth scope:

- `https://www.googleapis.com/auth/cloud-platform`

For more information, see the [Authentication Overview](https://docs.cloud.google.com/docs/authentication#authorization-gcp).

### IAM Permissions

Requires the following [IAM](https://cloud.google.com/iam/docs) permission on the `name` resource:

- `threatintelligence.findings.get`

For more information, see the [IAM documentation](https://cloud.google.com/iam/docs).